net.i2p.router

## Enum CommSystemFacade.Status

- java.lang.Object
- - java.lang.Enum<CommSystemFacade.Status>
  - - net.i2p.router.CommSystemFacade.Status

- All Implemented Interfaces:
    Serializable, Comparable<CommSystemFacade.Status>
  Enclosing class:
    CommSystemFacade

      public static enum CommSystemFacade.Status
      extends Enum<CommSystemFacade.Status>

  Network connectivity status enumeration for IPv4 and IPv6 transport capabilities. Represents firewall status, NAT configuration, and transport readiness for tunnel participation. Since codes may change.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIFFERENT` IPv4 symmetric NAT, IPv6 firewalled or disabled or no address
    `DISCONNECTED`
    `HOSED`
    `IPV4_DISABLED_IPV6_FIREWALLED`
    `IPV4_DISABLED_IPV6_OK`
    `IPV4_DISABLED_IPV6_UNKNOWN`
    `IPV4_FIREWALLED_IPV6_OK`
    `IPV4_FIREWALLED_IPV6_UNKNOWN`
    `IPV4_OK_IPV6_FIREWALLED`
    `IPV4_OK_IPV6_UNKNOWN`
    `IPV4_SNAT_IPV6_OK` IPv4 symmetric NAT (not source NAT)
    `IPV4_SNAT_IPV6_UNKNOWN` IPv4 symmetric NAT (not source NAT)
    `IPV4_UNKNOWN_IPV6_FIREWALLED`
    `IPV4_UNKNOWN_IPV6_OK`
    `OK` IPv4 OK, IPv6 OK or disabled or no address
    `REJECT_UNSOLICITED` IPv4 firewalled, IPv6 firewalled or disabled or no address
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static CommSystemFacade.Status` | `merge(CommSystemFacade.Status oldStatus, CommSystemFacade.Status newStatus)` merge the new Status with the old Status
    `String` | `toLocalizedStatusString(I2PAppContext ctx)` toStatusString(), translated if available.
    `String` | `toStatusString()` Readable status, not translated
    `String` | `toString()`
    `static CommSystemFacade.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommSystemFacade.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIFFERENT

          public static final CommSystemFacade.Status DIFFERENT

      IPv4 symmetric NAT, IPv6 firewalled or disabled or no address

    - #### DISCONNECTED

          public static final CommSystemFacade.Status DISCONNECTED

    - #### HOSED

          public static final CommSystemFacade.Status HOSED

    - #### IPV4_DISABLED_IPV6_FIREWALLED

          public static final CommSystemFacade.Status IPV4_DISABLED_IPV6_FIREWALLED

    - #### IPV4_DISABLED_IPV6_OK

          public static final CommSystemFacade.Status IPV4_DISABLED_IPV6_OK

    - #### IPV4_DISABLED_IPV6_UNKNOWN

          public static final CommSystemFacade.Status IPV4_DISABLED_IPV6_UNKNOWN

    - #### IPV4_FIREWALLED_IPV6_OK

          public static final CommSystemFacade.Status IPV4_FIREWALLED_IPV6_OK

    - #### IPV4_FIREWALLED_IPV6_UNKNOWN

          public static final CommSystemFacade.Status IPV4_FIREWALLED_IPV6_UNKNOWN

    - #### IPV4_OK_IPV6_FIREWALLED

          public static final CommSystemFacade.Status IPV4_OK_IPV6_FIREWALLED

    - #### IPV4_OK_IPV6_UNKNOWN

          public static final CommSystemFacade.Status IPV4_OK_IPV6_UNKNOWN

    - #### IPV4_SNAT_IPV6_OK

          public static final CommSystemFacade.Status IPV4_SNAT_IPV6_OK

      IPv4 symmetric NAT (not source NAT)

    - #### IPV4_SNAT_IPV6_UNKNOWN

          public static final CommSystemFacade.Status IPV4_SNAT_IPV6_UNKNOWN

      IPv4 symmetric NAT (not source NAT)

    - #### IPV4_UNKNOWN_IPV6_FIREWALLED

          public static final CommSystemFacade.Status IPV4_UNKNOWN_IPV6_FIREWALLED

    - #### IPV4_UNKNOWN_IPV6_OK

          public static final CommSystemFacade.Status IPV4_UNKNOWN_IPV6_OK

    - #### OK

          public static final CommSystemFacade.Status OK

      IPv4 OK, IPv6 OK or disabled or no address

    - #### REJECT_UNSOLICITED

          public static final CommSystemFacade.Status REJECT_UNSOLICITED

      IPv4 firewalled, IPv6 firewalled or disabled or no address

    - #### UNKNOWN

          public static final CommSystemFacade.Status UNKNOWN

  - ### Method Detail

    - #### getCode

          public int getCode()

    - #### merge

          public static CommSystemFacade.Status merge(CommSystemFacade.Status oldStatus,
                                                      CommSystemFacade.Status newStatus)

      merge the new Status with the old Status

    - #### toLocalizedStatusString

          public String toLocalizedStatusString(I2PAppContext ctx)

      toStatusString(), translated if available.

    - #### toStatusString

          public String toStatusString()

      Readable status, not translated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<CommSystemFacade.Status>`

    - #### valueOf

          public static CommSystemFacade.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static CommSystemFacade.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommSystemFacade.Status c : CommSystemFacade.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared